Description

Clicking to open a new issue when using the interface in catalan (ca), shows the following error in the logs:

ActionView::TemplateError (translation missing: ca, number, human, storage_units) on line #8 of app/views/attachments/_form.rhtml:

5: </span>

6: <br />

7: <small><%= link_to l(:label_add_another_file), '#', :onclick => 'addFileField(); return false;' >

8: (<= l(:label_max_size) >: <= number_to_human_size(Setting.attachment_max_size.to_i.kilobytes) %>)

9: </small>

vendor/rails/activesupport/lib/active_support/vendor/i18n-0.0.1/i18n/backend/simple.rb:37:in `tran

slate'

    vendor/rails/activesupport/lib/active_support/vendor/i18n-0.0.1/i18n.rb:160:in `translate'

    vendor/rails/actionpack/lib/action_view/helpers/number_helper.rb:258:in `number_to_human_size'

    app/views/attachments/_form.rhtml:8

    vendor/rails/actionpack/lib/action_view/renderable.rb:39:in `send'

    vendor/rails/actionpack/lib/action_view/renderable.rb:39:in `render'

    vendor/rails/actionpack/lib/action_view/renderable_partial.rb:20:in `render'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:30:in `benchmark'

    vendor/rails/actionpack/lib/action_view/renderable_partial.rb:19:in `render'

    vendor/rails/actionpack/lib/action_view/template.rb:73:in `render_template'

    vendor/rails/actionpack/lib/action_view/renderable_partial.rb:45:in `render_partial'

    vendor/rails/actionpack/lib/action_view/partials.rb:152:in `render_partial'

    vendor/rails/actionpack/lib/action_view/base.rb:258:in `render'

    app/views/documents/index.rhtml:13

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in `call'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in `capture'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:129:in `with_output_buffer'

    vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:36:in `capture'

    vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:460:in `form_tag_in_block'

    vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:39:in `form_tag'

    app/views/documents/index.rhtml:10

    vendor/rails/actionpack/lib/action_view/renderable.rb:39:in `send'

    vendor/rails/actionpack/lib/action_view/renderable.rb:39:in `render'

    vendor/rails/actionpack/lib/action_view/template.rb:73:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:256:in `render'

    vendor/rails/actionpack/lib/action_view/base.rb:369:in `_render_with_layout'

    vendor/rails/actionpack/lib/action_view/base.rb:254:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1177:in `render_for_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:896:in `render_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:8:in `realtime'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:868:in `render_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:8:in `realtime'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1251:in `default_render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1257:in `perform_action_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_without_benchm

ark'

2025-05-02 1/3

https://www.redmine.org/issues/8


    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    vendor/rails/actionpack/lib/action_controller/rescue.rb:136:in `perform_action_without_caching

'

    vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

    vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in 

`cache'

    vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process_without_session_manag

ement_support'

    vendor/rails/actionpack/lib/action_controller/session_management.rb:134:in `process'

    vendor/rails/actionpack/lib/action_controller/base.rb:392:in `process'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:184:in `handle_request'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:112:in `dispatch_unlocked'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:125:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:124:in `synchronize'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:124:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:134:in `dispatch_cgi'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:41:in `dispatch'

    vendor/rails/railties/lib/fcgi_handler.rb:101:in `process_request'

    vendor/rails/railties/lib/fcgi_handler.rb:151:in `with_signal_handler'

    vendor/rails/railties/lib/fcgi_handler.rb:99:in `process_request'

    vendor/rails/railties/lib/fcgi_handler.rb:76:in `process_each_request'

    /usr/lib/ruby/1.8/fcgi.rb:612:in `each_cgi'

    /usr/lib/ruby/1.8/fcgi.rb:609:in `each'

    /usr/lib/ruby/1.8/fcgi.rb:609:in `each_cgi'

    vendor/rails/railties/lib/fcgi_handler.rb:75:in `process_each_request'

    vendor/rails/railties/lib/fcgi_handler.rb:74:in `catch'

    vendor/rails/railties/lib/fcgi_handler.rb:74:in `process_each_request'

    vendor/rails/railties/lib/fcgi_handler.rb:49:in `process!'

    vendor/rails/railties/lib/fcgi_handler.rb:23:in `process!'

    public/dispatch.fcgi:24

 Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision 3034 - 2009-11-12 23:00 - Jean-Philippe Lang

Add test for i18n number_to_human_size (#4208).

History

#1 - 2009-11-12 20:51 - Jean-Philippe Lang

I can not reproduce and translation for ca.number.human.storage_units exists.

What's your Redmine revision ? And please attach your config/locales/ca.yml file.

#2 - 2009-11-12 21:22 - Lluís Vilanova

Jean-Philippe Lang wrote:

I can not reproduce and translation for ca.number.human.storage_units exists.

What's your Redmine revision ? And please attach your config/locales/ca.yml file.

 I think it's revision r2907 as shipped in debian/testing (0.9.0~svn2907-1), but repository shows that ca.yml does contain the storage_units entry...

Might this be a debian bug?

#3 - 2009-11-12 22:23 - Lluís Vilanova

- Status changed from New to Resolved
Lluís Vilanova wrote:

Might this be a debian bug?

 It is indeed a bug in Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=555956

#4 - 2009-11-12 22:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback.
